<!-- HTML com estrutura de container -->
<div class="alternate-buttons-container container-fluid" *ngIf="useContainer">
  <div class="row">
      <div class="{{ 'col-md-' + containerSize + ' col-12' }} alternate-button {{ buttonsClasses[i] }} mb-10" [style]="buttonsStyles[i] | safeStyle" *ngFor="let item of buttons; let i = index" (click)="view(i)">
        <div [innerHTML]="item | safeHtml"></div>

        <img class="check {{ checkPosition }}" [src]="checkName" [style]="checkStyles[i] | safeStyle" *ngIf="isChecked(i)"/>
      </div>
  </div>
</div>

<!-- HTML sem estrutura de container -->
<div class="html-buttons-container" *ngIf="!useContainer">
  <div class="html-button" *ngFor="let item of buttons; let i = index" [style]="buttonsStyles[i] | safeStyle"
       (click)="view(i)">
       <div [innerHTML]="item | safeHtml"></div>
       
       <img class="check {{ checkPosition }}" [src]="checkName" [style]="checkStyles[i] | safeStyle" *ngIf="isChecked(i)"/>
      </div>
</div>

<div class="content-area {{ contentAreaClasses }}" *ngIf="currentText || navigating" [style]="contentAreaStyles | safeStyle" [@fadeAnimation]="'in'">
  <div class="content-box {{ contentBoxClasses }}" [style]="contentBoxStyles | safeStyle"
       *ngIf="currentText" [@fadeAnimation]="'in'">
    <div class="content-container" [innerHTML]="currentText | safeHtml"></div>

    <button class="navigation-button back" [class.disabled]="!canGoBack()" [style]="backButtonStyles | safeStyle"
            *ngIf="hasNavigation" (click)="navigate(false)">
        <img src="assets/images/screen_shared_pop_arrow_left.png" alt="voltar">
    </button>
    
    <button class="navigation-button next" [class.disabled]="!canGoNext()" [style]="nextButtonStyles | safeStyle"
            *ngIf="hasNavigation" (click)="navigate(true)">
        <img src="assets/images/screen_shared_pop_arrow_right.png" alt="avançar">
    </button>
  
    <img class="close-button {{ currentCloseButtonClasses }}" [style]="currentCloseButtonStyles | safeStyle"
         src="./assets/images/screen_shared_close.png"
         *ngIf="canClose" [@fadeAnimation]="'in'" (click)="close()"/>
  </div>
</div>